import type React from 'react';
import AppRegistry from 'hadron-app-registry';
declare const AppRegistryContext: React.Context<AppRegistry>;
export default AppRegistryContext;
export declare enum AppRegistryRoles {
    APPLICATION_CONNECT = "Application.Connect",
    GLOBAL_MODAL = "Global.Modal"
}
export declare enum AppRegistryComponents {
    SIDEBAR_COMPONENT = "Sidebar.Component",
    SHELL_COMPONENT = "Global.Shell",
    COLLECTION_WORKSPACE = "Collection.Workspace",
    DATABASE_WORKSPACE = "Database.Workspace",
    INSTANCE_WORKSPACE = "Instance.Workspace"
}
export declare const useAppRegistryContext: () => AppRegistry;
export declare const useAppRegistryComponent: (componentName: AppRegistryComponents) => React.JSXElementConstructor<unknown> | null;
export declare function useAppRegistryRole(roleName: AppRegistryRoles.APPLICATION_CONNECT | AppRegistryRoles.GLOBAL_MODAL): {
    component: React.JSXElementConstructor<unknown>;
    name: string;
}[] | null;
//# sourceMappingURL=app-registry-context.d.ts.map